Loading...
Searching...
No Matches
gtsam::ValuesIncorrectType Class Reference
Inheritance diagram for gtsam::ValuesIncorrectType:

## Public Member Functions

| ValuesIncorrectType (Key key, const std::type_info &storedTypeId, const std::type_info &requestedTypeId) noexcept
| Construct with the key that does not exist in the values.
Key | key () const noexcept
| The key that was attempted to be accessed that does not exist.
const std::type_info & | storedTypeId () const
| The typeid of the value stores in the Values.
const std::type_info & | requestedTypeId () const
| The requested typeid.
GTSAM_EXPORT const char * | what () const noexcept override
| The message to be displayed to the user.

## Protected Attributes

const Key | key_
| The key requested.
const std::type_info & | storedTypeId_
const std::type_info & | requestedTypeId_

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/Values.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/nonlinear/Values.cpp